Bug 446684 - xkb error at choosing macbook keyboard layout
xkb error at choosing macbook keyboard layout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 13:00 EDT by Eelco Hoekema
Modified: 2012-06-26 02:10 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:10:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the error message (36.29 KB, image/png)
2008-05-15 13:00 EDT, Eelco Hoekema
no flags Details
Typescript with commands to check XKB settings on german MacBook (113.35 KB, text/plain)
2008-11-07 14:48 EST, Joachim Katzer
no flags Details

  None (edit)
Description Eelco Hoekema 2008-05-15 13:00:10 EDT
Description of problem:
[Actually, the problem occurs in gnome-keyboard-properties, but that one was not
in the components list.]
Choosing keyboard layout Macbook/Macbook Pro (Intl) produces an error in Fedora 9. 

Version-Release number of selected component (if applicable):
GNOME gnome-keyboard-properties 2.22.1

How reproducible:
1. start gnome-keyboard-properties
2. select layouts tab
3. select keyboard model MacBook/MacBook Pro (Intl)
4. close

Error message:
==============
Error activating XKB configuration.
It can happen under various circumstances:
- a bug in libxklavier library
- a bug in X server (xkbcomp, xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
10499901

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd


================
Additional info:

Hardware: Macbook (late 2006 model)
Comment 1 Eelco Hoekema 2008-05-15 13:00:10 EDT
Created attachment 305510 [details]
screenshot of the error message
Comment 2 Eelco Hoekema 2008-05-17 04:31:35 EDT
$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us", "intl", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us", "intl", ""

$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = []
 model = macbook79
 options = [Compose key	compose:rwin]
 overrideSettings = true


Comment 3 Lubomir Rintel 2008-05-17 09:05:12 EDT
Eelco: Thank you for reporting the problem, I am reassigning it to the right
component owner.

The following command might be useful to find out which component does the
binary belong to:

$ rpm -qf --qf %{name}\\n $(which gnome-keyboard-properties)
Comment 4 Eelco Hoekema 2008-05-17 09:08:02 EDT
$ rpm -qf --qf %{name}\\n $(which gnome-keyboard-properties)
control-center
Comment 5 Jose Pedro Oliveira 2008-05-22 19:29:09 EDT
I'm having the same problem (MacBook with a Portuguese keyboard layout):

$ xprop -root | grep  XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "pt", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "pt", "", ""

$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [pt  mac,pt]
 model = macbook79
 options = [grp grp:alts_toggle]
 overrideSettings = true

/jpo
Comment 6 Peter Hutterer 2008-09-11 08:33:50 EDT
Eelco:

The problem is that the keysyms for mac don't provide a intl variant. The error can be reproduced on the commandline by running:
setxkbmap -layout us -model macbook79 -variant intl -print | xkbcomp - :0

Error:            No Symbols named "intl" in the include file "macintosh_vndr/us"
                  Exiting

If this used to work, or you think it should work, please file a bug on upstream bugzilla: https://bugs.freedesktop.org/enter_bug.cgi?product=xkeyboard-config

Jose:
I can't reproduce your problem. Can you try to run:
setxkbmap -layout pt -model macbook79 -option grp:alts_toggle -print | xkbcomp - :0
and check for an error message. If there is one, please attach it. If there is none, please try if the macbook79 model works with any other layout (e.g. us). If it does, please try to find which setting triggers the error - it could be the layout or the alts_toggle option (unlikely).
Comment 7 Matěj Cepl 2008-10-20 17:33:16 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 Jose Pedro Oliveira 2008-10-26 19:32:47 EDT
Hi,

I'm no longer having problems selecting the MacBook Intl layout with the latest updates installed.  However the Portuguese layout still has 2 problematic keys:

 * the characters '<' and '>' are being generated by key positioned left of
   numeric '1'.  These characters should be generated by the key immediately left
   of the 'z' key

 * the key that should be generating the '<' and '>' characters is producing
   '`' (backticks) and with the shift key pressed '~' (tildes).

/jpo

xprop output (same command line as in comment #5)
------------
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "pt", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "macbook79", "pt", "", ""


gconftool-2  (same command line as in comment #5)
-----------
 layouts = []
 model = macbook79
 overrideSettings = true
 options = []
Comment 9 Peter Hutterer 2008-10-26 23:55:01 EDT
can't reproduce that with exactly the same settings. What keycode is sent by the keyboard for the two erroneous keys? Please run xev and attach the log here.
Also, please attach the output of xkbcomp -xkb :0 -
thanks.
Comment 10 Joachim Katzer 2008-11-07 14:48:11 EST
Created attachment 322891 [details]
Typescript with commands to check XKB settings on german MacBook

On my german MacBook (2nd generation) I had encountered also a similar problem in F8 and F9 that <> and ^° keys are exchanged, as reported by jko in #8, but apparently this is fixed in F10 preview.

However, in F10 preview, the AltGr key (2nd key right to space) does no longer work with macbook79 german keyboard layout and therefore no characters like |,€,@, ~ can be typed in. Apparently because keycode 104 is mapped mistakenly to KP_Enter. I'have created a ~/.Xmodmap with the following line to fix the problem:

keycode 104 = ISO_Level3_Shift

This is working, but when logging in, a "Error activating XKB configuration" error dialog box is reported but this seems to be a false alarm. 
Find attached the output of xprop, gconftool and "xkbcomp - :0"
Comment 11 Peter Hutterer 2008-11-10 00:08:25 EST
Joachim:
To not confuse this bug with the one you mentioned, please open a new bugreport and copy your comment (and mine) into the new report.

Here's what I need you to do:
please get evtest from http://people.freedesktop.org/~whot/evtest.c, compile it up (gcc -o evtest evtest.c) and run it as "sudo ./evtest /dev/input/eventX" where eventX is the device of your keyboard (/proc/bus/input/devices will tell you). Hit the AltGr key and attach the output to the new bugreport.

keycode 104 is defined as KEY_KPENTER in /usr/include/linux/input.h*, so this may actually be a kernel problem. KEY_RIGHTALT (AltGr) should be keycode 108.

* X keycodes are kernel keycodes + 8.
Comment 12 Alex Markley 2008-12-21 13:33:00 EST
I'm not sure my problem is strictly related to this bug report, but I am also getting this same error when I try to select a US Macbook layout for my keyboard layout.

I just upgraded to Fedora 10 on my Macbook from Fedora 9. Previously, I never had to select a non-generic keyboard model or non-standard layout. Everything (mostly) worked out of the box, so I never paid much attention to it.

Well, once I upgraded, a bunch of things stopped working (including the arrow keys and higher fn+ keys such as delete and home/end, etc.) so I started trying to find some combination of settings that would fix the problem.

I finally discovered that: a) Setting "USA Macintosh" at the login screen, AND b) Setting keyboard model to "MacBook/MacBook Pro" in System->Preferences->Hardware->Keyboard->Layouts, AND c) Setting my "selected layouts" default to "USA Macintosh" would actually fix the layout. HOWEVER, I always get the following error on logging in:

Error activating XKB configuration.
It can happen under various circumstances:
- a bug in libxklavier library
- a bug in X server (xkbcomp, xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
10503000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd

[alex@Porthos ~]$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "base", "evdev", "us", "", ""
_XKB_RULES_NAMES(STRING) = "base", "evdev", "us", "mac", ""
[alex@Porthos ~]$ 
[alex@Porthos ~]$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [us	mac]
 model = macbook78
 options = [grp	grp:shift_caps_toggle]
[alex@Porthos ~]$ 

I'm still poking around at this, so I might end up working around this better with some other combination of settings. However, that dialog suggests a bug which should probably be addressed. :-P

Thanks for your time.
--Alex
Comment 13 Peter Hutterer 2008-12-22 02:24:03 EST
please attach the output of setxkbmap -print
Comment 14 Alex Markley 2008-12-22 08:36:24 EST
[alex@Porthos ~]$ setxkbmap -print
xkb_keymap {
	xkb_keycodes  { include "evdev+aliases(qwerty)"	};
	xkb_types     { include "complete"	};
	xkb_compat    { include "complete"	};
	xkb_symbols   { include "pc+us(mac)+inet(evdev)"	};
	xkb_geometry  { include "pc(pc104)"	};
};
[alex@Porthos ~]$
Comment 15 Peter Hutterer 2008-12-22 17:45:13 EST
setxkbmap -layout "us(mac)" -model "macbook78" 

does this command work without complaints?
Comment 16 Alex Markley 2008-12-22 19:20:51 EST
Yes, if I run that command with my desktop fully loaded, I see no error message either in the terminal or in a dialog box. (Note, however, that by this time I've already seen the error at login, and despite the error the layout seems to take effect.)
Comment 17 Thomas Meyer 2008-12-29 11:18:33 EST
How to get a working "at" and "pipe" sign on my german macbook pro?
Comment 18 Axel 2009-01-31 14:20:22 EST
Same problem on a MacbookPro 3,1, french azerty keyboard, with an up to date Fedora 10 (fresh installed).

While setting the keymap on the login screen ("macintosh" entry in the list), the keyboard switch to the mac layout, @ and < (and so on...) characters works, but special characters (pipes, brackets) cannot be used.

Using the System > Settings > Hardware >  Keyboard tool to switch to an "Apple"/"Macbook Pro (Intl)" (or any other keymaps for "Apple") give the same error. (tried in this "macintosh" session, and in a "latin9" session)

xprop result : 
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "pc105", "fr", "latin9", ""
_XKB_RULES_NAMES(STRING) = "evdev", "pc105", "fr", "mac", ""

gconf-tool result :
 layouts = [fr	mac]
 model = macintosh
 options = []

By the way, why the keymaps list at login screen, in the gnome-keyboard-properties tool and in the system-config-keyboard are not the same lists ?
Comment 19 Axel 2009-01-31 14:25:49 EST
Checking a box for in agency options (Third level choosers by example)triggers the same error window.
Comment 20 Bug Zapper 2009-06-09 20:51:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2009-07-14 14:14:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 22 Philip Chimento 2010-12-05 06:37:49 EST
I can reproduce this bug on Fedora 14, could it please be reopened? Selecting either the "MacBook/MacBook Pro" keyboard model or the "MacBook/MacBook Pro (Intl)" model pops up a dialog box with the following error message:

---
Error activating XKB configuration.
It can happen under various circumstances:
 • a bug in libxklavier library
 • a bug in X server (xkbcomp, xmodmap utilities)
 • X server with incompatible libxkbfile implementation

X server version data:
Fedora Project
10901000

If you report this situation as a bug, please include:
 • The result of xprop -root | grep XKB
 • The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
---

$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "pc105", "us", "intl", ""
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "us", "intl", ""
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [us	mac,us	intl]
 options = [grp	grp:shift_caps_toggle]
 model = macbook79

In addition, any changes I make to the keyboard _layout_ (not the model) are reverted when I log out and log back in. I'm running Fedora 14 on VirtualBox 3.2.12 r68302 on a MacBook (model MacBook2,1).
Comment 23 Peter Hutterer 2010-12-06 21:08:41 EST
reopening per comment 22
Comment 24 Filip Miletic 2011-03-13 09:46:55 EDT
I am also getting this error after an upgrade to F14, on a machine accessed through XNclient.  There are 3 keyboard layouts set up: US, Serbian and Serbian Latin.  The error leaves the keyboard inoperative, with arrow keys, and pgup, pgdn etc inoperational.  They report no events when passed to 'xev'.

filip@cowfarm:~
$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc102", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc102", "us", "", ""
filip@cowfarm:~
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [us]
 options = [grp	grp:shift_caps_toggle,grp	grp:lwin_toggle]
 model = 
filip@cowfarm:~
$ 




Error activating XKB configuration.
It can happen under various circumstances:
 \u2022 a bug in libxklavier library
 \u2022 a bug in X server (xkbcomp, xmodmap utilities)
 \u2022 X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
60900000

If you report this situation as a bug, please include:
 \u2022 The result of xprop -root | grep XKB
 \u2022 The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
Comment 25 Peter Hutterer 2012-06-26 02:10:17 EDT
This bug was filed against Fedora 14 which is now EOL. Please re-open this bug if you still experience this issue with one of the currently suppported versions of Fedora. Don't forget to update the version field if you do so.

Note You need to log in before you can comment on or make changes to this bug.